accumulo-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ktur...@apache.org
Subject svn commit: r1459090 - in /accumulo/trunk: ./ assemble/ bin/bootstrap_config.sh bin/config.sh core/ examples/ fate/src/main/java/org/apache/accumulo/fate/ZooStore.java fate/src/main/java/org/apache/accumulo/fate/zookeeper/ZooSession.java server/ src/
Date Wed, 20 Mar 2013 22:48:33 GMT
Author: kturner
Date: Wed Mar 20 22:48:32 2013
New Revision: 1459090

URL: http://svn.apache.org/r1459090
Log:
ACCUMULO-1071 stopped automatically populating conf dir in bin/config.sh 

Modified:
    accumulo/trunk/   (props changed)
    accumulo/trunk/assemble/   (props changed)
    accumulo/trunk/bin/bootstrap_config.sh
    accumulo/trunk/bin/config.sh
    accumulo/trunk/core/   (props changed)
    accumulo/trunk/examples/   (props changed)
    accumulo/trunk/fate/src/main/java/org/apache/accumulo/fate/ZooStore.java   (props changed)
    accumulo/trunk/fate/src/main/java/org/apache/accumulo/fate/zookeeper/ZooSession.java 
 (props changed)
    accumulo/trunk/server/   (props changed)
    accumulo/trunk/src/   (props changed)

Propchange: accumulo/trunk/
------------------------------------------------------------------------------
  Merged /accumulo/branches/1.5:r1459066-1459067,1459069-1459089

Propchange: accumulo/trunk/assemble/
------------------------------------------------------------------------------
  Merged /accumulo/branches/1.5/assemble:r1459066-1459067,1459069-1459089

Modified: accumulo/trunk/bin/bootstrap_config.sh
URL: http://svn.apache.org/viewvc/accumulo/trunk/bin/bootstrap_config.sh?rev=1459090&r1=1459089&r2=1459090&view=diff
==============================================================================
--- accumulo/trunk/bin/bootstrap_config.sh (original)
+++ accumulo/trunk/bin/bootstrap_config.sh Wed Mar 20 22:48:32 2013
@@ -41,6 +41,11 @@ if [ "$2" = "native" ]; then
    TYPE="native-standalone"
 fi
 
+if [ -z "${SIZE}" -a -z "${TYPE}" ]; then
+   echo "Please choose from the following example configurations..."
+   echo ""
+fi
+
 if [ -z "${SIZE}" ]; then
    echo "Choose the heap configuration:"
    select DIRNAME in $(cd ${ACCUMULO_HOME}/conf/examples && ls -d */standalone/..
| sed -e 's/\/.*//'); do

Modified: accumulo/trunk/bin/config.sh
URL: http://svn.apache.org/viewvc/accumulo/trunk/bin/config.sh?rev=1459090&r1=1459089&r2=1459090&view=diff
==============================================================================
--- accumulo/trunk/bin/config.sh (original)
+++ accumulo/trunk/bin/config.sh Wed Mar 20 22:48:32 2013
@@ -37,11 +37,11 @@ else
    #
    echo ""
    echo "Accumulo is not properly configured."
-   echo "Please choose from the following example configurations..."
    echo ""
-   $ACCUMULO_HOME/bin/bootstrap_config.sh
-   [[ $? != 0 ]] && echo "Bootstrap canceled, exiting..." && exit 1
-   . $ACCUMULO_HOME/conf/accumulo-env.sh
+   echo "Try running \$ACCUMULO_HOME/bin/bootstrap_config.sh and then editing"
+   echo "\$ACCUMULO_HOME/conf/accumulo-env.sh"
+   echo ""
+   exit 1
 fi
 
 if [ -z ${ACCUMULO_LOG_DIR} ]; then
@@ -74,31 +74,6 @@ then
 fi
 export HADOOP_PREFIX
 
-if [ ! -f "$ACCUMULO_HOME/conf/masters" -o ! -f "$ACCUMULO_HOME/conf/slaves" ]; then
-   if [ ! -f "$ACCUMULO_HOME/conf/masters" -a ! -f "$ACCUMULO_HOME/conf/slaves" ]; then
-      echo "STANDALONE: Missing both conf/masters and conf/slaves files"
-      echo "STANDALONE: Assuming single-node (localhost only) instance"
-      echo "STANDALONE: echo "`hostname`" > $ACCUMULO_HOME/conf/masters"
-      echo `hostname` > "$ACCUMULO_HOME/conf/masters"
-      echo "STANDALONE: echo "`hostname`" > $ACCUMULO_HOME/conf/slaves"
-      echo `hostname` > "$ACCUMULO_HOME/conf/slaves"
-      fgrep -s logger.dir.walog "$ACCUMULO_HOME/conf/accumulo-site.xml" > /dev/null
-      WALOG_CONFIGURED=$?
-      if [ $WALOG_CONFIGURED -ne 0 -a ! -e "$ACCUMULO_HOME/walogs" ]; then
-         echo "STANDALONE: Creating default local write-ahead log directory"
-         mkdir "$ACCUMULO_HOME/walogs"
-         echo "STANDALONE: mkdir \"$ACCUMULO_HOME/walogs\""
-      fi
-      if [ ! -e "$ACCUMULO_HOME/conf/accumulo-metrics.xml" ]; then
-         echo "STANDALONE: Creating default metrics configuration"
-         cp "$ACCUMULO_HOME/conf/accumulo-metrics.xml.example" "$ACCUMULO_HOME/conf/accumulo-metrics.xml"
-      fi
-   else
-      echo "You are missing either $ACCUMULO_HOME/conf/masters or $ACCUMULO_HOME/conf/slaves"
-      echo "Please configure them both for a multi-node instance, or delete them both for
a single-node (localhost only) instance"
-      exit 1
-   fi
-fi
 MASTER1=$(egrep -v '(^#|^\s*$)' "$ACCUMULO_HOME/conf/masters" | head -1)
 GC=$MASTER1
 MONITOR=$MASTER1

Propchange: accumulo/trunk/core/
------------------------------------------------------------------------------
  Merged /accumulo/branches/1.5/core:r1459066-1459067,1459069-1459089

Propchange: accumulo/trunk/examples/
------------------------------------------------------------------------------
  Merged /accumulo/branches/1.5/examples:r1459066-1459067,1459069-1459089

Propchange: accumulo/trunk/fate/src/main/java/org/apache/accumulo/fate/ZooStore.java
------------------------------------------------------------------------------
  Merged /accumulo/branches/1.5/fate/src/main/java/org/apache/accumulo/fate/ZooStore.java:r1459066-1459067,1459069-1459089

Propchange: accumulo/trunk/fate/src/main/java/org/apache/accumulo/fate/zookeeper/ZooSession.java
------------------------------------------------------------------------------
  Merged /accumulo/branches/1.5/fate/src/main/java/org/apache/accumulo/fate/zookeeper/ZooSession.java:r1459066-1459067,1459069-1459089

Propchange: accumulo/trunk/server/
------------------------------------------------------------------------------
  Merged /accumulo/branches/1.5/server:r1459066-1459067,1459069-1459089

Propchange: accumulo/trunk/src/
------------------------------------------------------------------------------
  Merged /accumulo/branches/1.5/src:r1459066-1459067,1459069-1459089



Mime
View raw message